#pragma once
#include "afxwin.h"


// CPathPage1 ダイアログ

class CPathPage1 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPathPage1)

public:
	CPathPage1(CConfigAccess path);
	virtual ~CPathPage1();
	CConfigAccess	m_pathSetting;


// ダイアログ データ
	enum { IDD = IDD_PATH_1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedBrows();
	CString m_info;
	CString m_serverPath;
	CString m_localPath;
	CString m_forward;
	virtual BOOL OnKillActive();
	BOOL m_enableVH;
	CEdit m_vhName;
	afx_msg void OnBnClickedEnableVh();
};
